require 'json'
require 'rest'

class EmailVerifier

  API_HOST = 'https://bpi.briteverify.com'
  API_PATH = 'emails.json'

  def initialize(api_key)
    @rest = Rest::Client.new(:gem => :typhoeus)
    @api_key = api_key
  end

  def verify(email)
    rest_response = @rest.get("#{API_HOST}/#{API_PATH}", params: {:apikey => @api_key, :address => email})
    if rest_response.code != 200
      raise RuntimeError, "Brite Verify, email verification service is not working. Return code #{rest_response.code}"
    end

    result = JSON.parse(rest_response.body)
    result.update({verified_on: Time.now.strftime('%Y-%m-%d')})
    result['status'].to_sym
  end
end
